#!yaml|gpg
##
## NOTE: Classes will only be created if the current date is before the start date.  Classes will only be deleted if the end date is after the end date.
##       Also the stack create uses only last_name and password parameters, any additional parameters in the yaml will cause stack failure
##
## EXAMPLES:
##
##classes:
##  cctc-18-100:
##    students: 20
##    instructors: 2
##    heattemplate: https://git.cybbh.space/CCTC/public/raw/master/heat/CCTC_Master.yaml
##    startdate:
##    enddate:
##  cctc-18-101:
##    students: 10
##    instructors: 0
##    heattemplate: https://git.cybbh.space/CCTC/public/raw/master/heat/CCTC_Master.yaml
##    startdate:
##    enddate:
##    password: |
##      -----BEGIN PGP MESSAGE-----
##      Version: GnuPG v1
##
##      < gpg encrypted secret >
##      -----END PGP MESSAGE-----
## The students value is the number of students in the class who do *not* have
## a permanent account.  The instructor value is the number of cadre in the
## class who do *not* have a permanent account.  Student logins will be
## 00-indexed and in the format cctc-18-100-student-05.  Instructor logins will
## be 00-indexed and in the format cctc-18-100-instructor-05. The gpg encrypted
## secret is created with the salt pillar key

classes:
  csa_student:
    students: 12
    instructors: 2
    heattemplate:
    startdate: 2020-03-13
    enddate: 2020-07-04
